<template>
  <div class="nav-item mb-0" role="tab" :class="activeClass">
    <router-link
      v-if="routeTo"
      :to="{name: routeTo, query: query()}"
      class="nav-link"
      :class="activeClass"
      role="presentation">
      <div>
        <span class="label">{{ label ? label : $t(labelKey) }}</span>
        <span v-if="count > 0" class="count">{{ count }}</span>
        <span v-else class="count">?</span>
      </div>
    </router-link>
    <a
      v-else
      :href="href"
      class="nav-link"
      :class="activeClass"
      role="presentation">
      <div>
        <span class="label">{{ label ? label : $t(labelKey) }}</span>
        <span v-if="count > 0" class="count">{{ count }}</span>
        <span v-else class="count">?</span>
      </div>
    </a>
  </div>
</template>

<script>
export default {
  name: "SearchScopeSelectItem",
  props: {
    routeTo: String,
    href: String,
    isActive: Boolean,
    label: String,
    labelKey: String,
    count: Number,
    queryParams: Object
  },
  computed: {
    activeClass() {
      return this.isActive ? 'router-link-active' : 'router-link-inactive';
    }
  },
  methods: {
    query() {
      return {...(this.queryParams || {}), locale: this.$route.query.locale};
    }
  }
}
</script>

<style lang="scss" scoped>
.nav-item {
  border-right: 1px solid #aaa;
  box-sizing: border-box;
  margin-right: -1px; /* avoid double borders */

  .router-link-active {
    background-color: #0e47cb;
  }
}

.label {
  margin-right: 0.5rem;
}

.count {
  border: 1px solid #0e47cb;
  border-radius: 10px;
  padding: 0.1rem 0.5rem;
}

a.router-link-inactive {
  color: #0e47cb !important;
}
a.router-link-active {
  color: white !important;
}
a.router-link-active .count {
  background-color: white;
  border-color: white;
  color: #0e47cb;
}

@media screen and (max-width: 767.5px) {
  .nav-item {
    border-color: #0e47cb;
  }
}
</style>
